## dccpclientsrc dccpclientsrc — Receive data as a client over the network via DCCP |

## Synopsis

    struct              GstDCCPClientSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstDCCPClientSrc

## Properties

      "caps"                     GstCaps*              : Read / Write
      "ccid"                     gint                  : Read / Write
      "close-socket"             gboolean              : Read / Write
      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write
      "sockfd"                   gint                  : Read / Write

## Signals

      "connected"                                      : Run First

## Description

This element connect to a DCCP server and send data to it. DCCP (Datagram Congestion Control Protocol) is a Transport Layer protocol like TCP and UDP.

### Example pipeline

    1
    gst-launch -v dccpclientsrc host=localhost port=9011 ccid=2 ! decodebin ! alsasink

Client

    1
    gst-launch -v filesrc location=music.mp3 ! mp3parse ! dccpserversink port=9011 ccid=2

Server

This example pipeline will send a MP3 stream to the client using DCCP. The client will decode the MP3 and play it. Run the server pipeline first than the client pipeline. If you want, you can run more than one dccpclientsrc to connect to the same server (see wait-connections property at dccpserversink).

## Synopsis

### Element Information

plugin | dccp
author | E-Phone Team at Federal University of Campina Grande <leandroal@gmail.com>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstDCCPClientSrc

    struct GstDCCPClientSrc;

## Property Details

### The `"caps"` property

      "caps"                     GstCaps*              : Read / Write

The caps of the source pad.

### The `"ccid"` property

      "ccid"                     gint                  : Read / Write

The Congestion Control IDentified to be used.

Allowed values: >= 2

Default value: 2

### The `"close-socket"` property

      "close-socket"             gboolean              : Read / Write

Close socket at the end of stream.

Default value: TRUE

### The `"host"` property

      "host"                     gchar*                : Read / Write

The host IP address to receive packets from.

Default value: "127.0.0.1"

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to receive packets from.

Allowed values: [0,65535]

Default value: 5001

### The `"sockfd"` property

      "sockfd"                   gint                  : Read / Write

The socket file descriptor.

Allowed values: >= G_MAXULONG

Default value: -1

## Signal Details

### The `"connected"` signal

    void                user_function                      (GstDCCPClientSrc *gstdccpclientsrc,
                                                            gint              arg1,
                                                            gpointer          user_data)             : Run First

`gstdccpclientsrc` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

## See Also

dccpclientsink, dccpserversink, dccpserversrc